﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Surface.Presentation.Controls.TouchVisualizations;
using System.Windows;
using System.Windows.Input;

namespace CustomTouchVisualizerAdapter
{
    public class PointTouchVisualizerAdapter : CompoundTouchVisualizerAdapter
    {
        #region Position DP

        public Point? Position
        {
            get { return (Point?)GetValue(PositionProperty); }
            set { SetValue(PositionProperty, value); }
        }

        public static readonly DependencyProperty PositionProperty =
            DependencyProperty.Register("Position", typeof(Point?), typeof(PointTouchVisualizerAdapter), new UIPropertyMetadata(null));

        #endregion

        protected override TouchVisualizationAnchor GetAnchorPosition(InputDevice inputDevice)
        {
            if (Position.HasValue)
            {
                return new TouchVisualizationAnchor(Position.Value);
            }
            return base.GetAnchorPosition(inputDevice);
        }
    }
}
