using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Threading;
using Microsoft.Surface.Presentation;
using Microsoft.Surface.Presentation.Controls;
using Microsoft.Surface.Presentation.Input;
using Microsoft.Surface.Presentation.Controls.Primitives;

namespace SurfaceControlComparison
{
    /// <summary>
    /// Interaction logic for SurfaceWindow1.xaml
    /// </summary>
    public partial class SurfaceWindow1 : SurfaceWindow
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public SurfaceWindow1()
        {
            InitializeComponent();
        }

        int clickCountNative = 0;
        int clickCountSurface = 0;

        private void btnNative_Click(object sender, RoutedEventArgs e)
        {
            
            clickCountNative++;
            btnNative.Content = "Button (" + clickCountNative.ToString() + " clicks)";
        }



        private void btnSurface_Click(object sender, RoutedEventArgs e)
        {
            clickCountSurface++;
            btnSurface.Content = "SurfaceButton (" + clickCountSurface.ToString() + " clicks)";
        }

        private void btnClearInk_Click(object sender, RoutedEventArgs e)
        {
            ink.Strokes.Clear();
        }
        
        private void btnClearSurfaceInk_Click(object sender, RoutedEventArgs e)
        {
            inkSurface.Strokes.Clear();
        }

        private void cbxPanningMode_Click(object sender, RoutedEventArgs e)
        {
            if (cbxPanningMode.IsChecked.HasValue &&
                cbxPanningMode.IsChecked.Value)
            {
                scroll.PanningMode = PanningMode.VerticalFirst;
            }
            else
            {
                scroll.PanningMode = PanningMode.None;
            }
        }

        private void cbxTouchShape_Click(object sender, RoutedEventArgs e)
        {
            if (cbxTouchShape.IsChecked.HasValue &&
                cbxTouchShape.IsChecked.Value)
            {
                inkSurface.UsesTouchShape = true;
            }
            else
            {
                inkSurface.UsesTouchShape = false;
            }
        }

    }
}