﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace DataControls
{
    public static class StateModelFactory
    {
        public static List<StateModel> GenerateStates()
        {
            List<StateModel> models = new List<StateModel>();
            string path = Directory.GetCurrentDirectory() + "/flags/";
            models.Add(new StateModel("Connecticut", path + "connecticut.png", Region.Northeast));
            models.Add(new StateModel("Maine", path + "maine.png", Region.Northeast));
            models.Add(new StateModel("Massachusetts", path + "massachusetts.png", Region.Northeast));
            models.Add(new StateModel("New Hampshire", path + "New_Hampshire.png", Region.Northeast));
            models.Add(new StateModel("New Jersey", path + "New_Jersey.png", Region.Northeast));
            models.Add(new StateModel("New York", path + "connecticut.png", Region.Northeast));
            models.Add(new StateModel("Pennsylvania", path + "pennsylvania.png", Region.Northeast));
            models.Add(new StateModel("Rhode Island", path + "New_York.png", Region.Northeast));
            models.Add(new StateModel("Vermont", path + "vermont.png", Region.Northeast));

            models.Add(new StateModel("Illinois", path + "illinois.png", Region.Midwest));
            models.Add(new StateModel("Indiana", path + "indiana.png", Region.Midwest));
            models.Add(new StateModel("Iowa", path + "iowa.png", Region.Midwest));
            models.Add(new StateModel("Kansas", path + "kansas.png", Region.Midwest));
            models.Add(new StateModel("Michigan", path + "michigan.png", Region.Midwest));
            models.Add(new StateModel("Minnesota", path + "minnesota.png", Region.Midwest));
            models.Add(new StateModel("Missouri", path + "missouri.png", Region.Midwest));
            models.Add(new StateModel("Nebraska", path + "nebraska.png", Region.Midwest));
            models.Add(new StateModel("North Dakota", path + "North_Dakota.png", Region.Midwest));
            models.Add(new StateModel("Ohio", path + "ohio.png", Region.Midwest));
            models.Add(new StateModel("South Dakota", path + "South_Dakota.png", Region.Midwest));
            models.Add(new StateModel("Wisconsin", path + "wisconsin.png", Region.Midwest));

            models.Add(new StateModel("Alabama", path + "alabama.png", Region.South));
            models.Add(new StateModel("Arkansas", path + "arkansas.png", Region.South));
            models.Add(new StateModel("Delaware", path + "delaware.png", Region.South));
            models.Add(new StateModel("District of Columbia", path + "District_of_Columbia.png", Region.South));
            models.Add(new StateModel("Florida", path + "florida.png", Region.South));
            models.Add(new StateModel("Georgia", path + "georgia.png", Region.South));
            models.Add(new StateModel("Kentucky", path + "kentucky.png", Region.South));
            models.Add(new StateModel("Louisiana", path + "louisiana.png", Region.South));
            models.Add(new StateModel("Maryland", path + "maryland.png", Region.South));
            models.Add(new StateModel("Mississippi", path + "mississippi.png", Region.South));
            models.Add(new StateModel("North Carolina", path + "North_Carolina.png", Region.South));
            models.Add(new StateModel("Oklahoma", path + "oklahoma.png", Region.South));
            models.Add(new StateModel("South Carolina", path + "South_Carolina.png", Region.South));
            models.Add(new StateModel("Tennessee", path + "tennessee.png", Region.South));
            models.Add(new StateModel("Texas", path + "texas.png", Region.South));
            models.Add(new StateModel("Virginia", path + "virginia.png", Region.South));
            models.Add(new StateModel("West Virginia", path + "West_Virginia.png", Region.South));

            models.Add(new StateModel("Alaska", path + "alaska.png", Region.West));
            models.Add(new StateModel("Arizona", path + "arizona.png", Region.West));
            models.Add(new StateModel("California", path + "california.png", Region.West));
            models.Add(new StateModel("Colorado", path + "colorado.png", Region.West));
            models.Add(new StateModel("Hawaii", path + "hawaii.png", Region.West));
            models.Add(new StateModel("Idaho", path + "idaho.png", Region.West));
            models.Add(new StateModel("Montana", path + "montana.png", Region.West));
            models.Add(new StateModel("Nevada", path + "nevada.png", Region.West));
            models.Add(new StateModel("New Mexico", path + "New_Mexico.png", Region.West));
            models.Add(new StateModel("Oregon", path + "oregon.png", Region.West));
            models.Add(new StateModel("Utah", path + "utah.png", Region.West));
            models.Add(new StateModel("Washington", path + "washington.png", Region.West));
            models.Add(new StateModel("Wyoming", path + "wyoming.png", Region.West));

            return models;
        }

        private static string NormalizeName(string name)
        {
            name = name.Replace("_", " ");


            System.Globalization.CultureInfo cultureInfo = System.Threading.Thread.CurrentThread.CurrentCulture;

            System.Globalization.TextInfo textInfo = cultureInfo.TextInfo;

            return textInfo.ToTitleCase(name.ToLower());
        }
    }
}
