﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Surface.Presentation.Controls;

namespace DataControls
{
    public partial class StateView : UserControl
    {
        public StateView()
        {
            InitializeComponent();
        }

        public StateView(StateModel model)
        {
            InitializeComponent();
            this.LayoutRoot.DataContext = model;
        }

        private void control_Loaded(object sender, RoutedEventArgs e)
        {
            ConfigureSVI();
        }

        void ConfigureSVI()
        {
            ScatterView sv = FindVisualParent<ScatterView>(this);
            
            if (sv == null)
                return;
            ScatterViewItem svi = sv.ItemContainerGenerator.ContainerFromItem(this.DataContext) as ScatterViewItem;

            if (svi == null)
                return;

            double aspectRatio = this.viewbox.ActualWidth / this.viewbox.ActualHeight;

            svi.Height = 150;
            svi.Width = svi.Height * aspectRatio;

            svi.Resources.Add("SVIShadowRadius", 20.0);
        }

        static T FindVisualParent<T>(DependencyObject obj) where T : UIElement
        {
            if (obj is T)
            {
                return obj as T;
            }

            DependencyObject parent = VisualTreeHelper.GetParent(obj);
            if (parent == null)
                return null;
            return FindVisualParent<T>(parent);
        }
    }
}
