﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using DataControls;
using System.Windows.Data;

namespace ExploringScatterView
{
    public class SurfaceWindowViewModel
    {
        #region Properties

        ObservableCollection<StateModel> _states = new ObservableCollection<StateModel>();
        public ObservableCollection<StateModel> States
        {
            get
            {
                return _states;
            }
        }

        ObservableCollection<StateModel> _stackStates = new ObservableCollection<StateModel>();
        public ObservableCollection<StateModel> StackStates
        {
            get { return _stackStates; }
        }

        ObservableCollection<StateModel> _barStates = new ObservableCollection<StateModel>();
        public ObservableCollection<StateModel> BarStates
        {
            get
            {
                return _barStates;
            }
        }

ObservableCollection<StateModel> _containerStates = new ObservableCollection<StateModel>();
public ObservableCollection<StateModel> ContainerStates
{
    get
    {
        return _containerStates;
    }
}

        #endregion

        #region Constructors

        public SurfaceWindowViewModel()
        {
            InitData();
        }

        #endregion

        #region Private Methods

        void InitData()
        {
            List<StateModel> models = StateModelFactory.GenerateStates();

            models.ForEach(ContainerStates.Add);

            ICollectionView defaultViewBar = CollectionViewSource.GetDefaultView(BarStates);
            defaultViewBar.GroupDescriptions.Add(new PropertyGroupDescription("Region"));

ICollectionView defaultViewContainer = CollectionViewSource.GetDefaultView(ContainerStates);
defaultViewContainer.GroupDescriptions.Add(new PropertyGroupDescription("Region"));

        }

        #endregion
    }
}
