﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Surface.Presentation.Controls;
using System.Windows.Threading;

namespace SimpleGestures
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : SurfaceWindow
    {
        int currentBrush = 0;
        List<SolidColorBrush> brushes;

        public MainWindow()
        {
            InitializeComponent();

            //Blake.NUI.WPF.Touch.NativeTouchDevice.RegisterEvents(this);

            brushes = new List<SolidColorBrush>();

            SolidColorBrush b = new SolidColorBrush(Colors.Blue);
            b.Freeze();
            brushes.Add(b);

            b = new SolidColorBrush(Colors.Red);
            b.Freeze();
            brushes.Add(b);

            b = new SolidColorBrush(Colors.Yellow);
            b.Freeze();
            brushes.Add(b);
            
        }

        private Brush GetNextBrush()
        {
            currentBrush++;
            if (currentBrush >= brushes.Count)
                currentBrush = 0;

            return brushes[currentBrush];
        }

        private void TapGesture_Tap(object sender, EventArgs e)
        {
            borderTap.Background = GetNextBrush();
        }

        private void TapGesture_LongTap(object sender, EventArgs e)
        {
            borderLongTap.Background = GetNextBrush();
        }

        private void DoubleTapGestureBehavior_DoubleTap(object sender, EventArgs e)
        {
            ellipse.Fill = GetNextBrush();
        }

    }
}
