﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Surface.Presentation.Controls;

namespace RawTouchPlayground
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : SurfaceWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            UpdateFields();
        }

        private void border_Touch(object sender, TouchEventArgs e)
        {
            UpdateFields();
        }

        private void bdrOuter_TouchDown(object sender, TouchEventArgs e)
        {
            if (rdoOuterCapture.IsChecked.HasValue &&
                rdoOuterCapture.IsChecked.Value)
            {
                bdrOuter.CaptureTouch(e.TouchDevice);
            }
            e.Handled = true;
        }

        private void bdrInner_TouchDown(object sender, TouchEventArgs e)
        {
            if (rdoInnerCapture.IsChecked.HasValue &&
                rdoInnerCapture.IsChecked.Value)
            {
                bdrInner.CaptureTouch(e.TouchDevice);
            }
            e.Handled = true;
        }

        private void UpdateFields()
        {
            txtOuterTouchesOver.Text = bdrOuter.TouchesOver.Count().ToString();
            txtOuterTouchesDirectlyOver.Text = bdrOuter.TouchesDirectlyOver.Count().ToString();
            txtOuterTouchesCaptured.Text = bdrOuter.TouchesCaptured.Count().ToString();
            txtOuterTouchesCapturedWithin.Text = bdrOuter.TouchesCapturedWithin.Count().ToString();

            txtInnerTouchesOver.Text = bdrInner.TouchesOver.Count().ToString();
            txtInnerTouchesDirectlyOver.Text = bdrInner.TouchesDirectlyOver.Count().ToString();
            txtInnerTouchesCaptured.Text = bdrInner.TouchesCaptured.Count().ToString();
            txtInnerTouchesCapturedWithin.Text = bdrInner.TouchesCapturedWithin.Count().ToString();
        }

    }
}
